Site Upgrades

There's a pretty serious security bug in Joomla 2.5.13 and earlier. Never fear, for I've upgraded to 2.5.14 (and have the latest version of Wordpress as well). It's a timely reminder to always keep your systems updated.

 

Who's Online

We have 22 guests and no members online